epost_filnavn = input("Skriv inn navnet på epostfila: ")
avsendere_filnavn = input("Skriv inn navnet på fila med avsendere som skal skrives ut: ")
try:
    with open(epost_filnavn, "r") as epost_fil:
        with open(avsendere_filnavn, "w") as avsendere_fil:
            for linje in epost_fil:
                linje = linje.strip()
                if linje.find("From:") == 0:
                    start = linje.find("<") + 1
                    slutt = linje.find(">")
                    epost = linje[start:slutt]
                    avsendere_fil.write(epost + "\n")
except FileNotFoundError:
    print("Klarer ikke å åpne en av disse filene!")
except IOError as e:
    print("En feil oppsto under filbehandling: " + str(e))
